
/*
 *   File:  InformationPanel.java
 *
 *   Version 1.04 v1a
 *   Copyright 1998, 1999 by Hush Communications Corporation, BWI
 *
 *  Created June 4, 1999
 *  $Author Zhou Wu$
 */

/** A convnicent class for show information */


package hush.gui;
import java.awt.*;

public class InformationPanel extends Panel
    {
	private String information="";
	private MultiLineLabel multiLineLabel;

	/** Construtor: 
	 * @param information a String will be showed
         */
	public InformationPanel(String information)
	    {
		setLayout(new GridBagLayout());
		this.information = information;
		Panel centerPanel= new Panel();
		centerPanel.setLayout( new GridLayout(0,1));
	        multiLineLabel = new MultiLineLabel(information);
		centerPanel.add(multiLineLabel);
		GridBagConstraints gbc = new GridBagConstraints();
		PagingApplet.add(this,gbc,centerPanel,0,0,1,1,0,0,1.0,1,gbc.NONE,gbc.CENTER,10,20,20,10);
	    }

	/** Method:
	 *  @ information a String that replace the orginal one to be showed
         */
   
	public void setText(String information)
	    {
		multiLineLabel.setLabel(information);
		multiLineLabel.invalidate();
		getParent().validate();
	    }
		
		
    }
